Package org.jcsp.net.security

# Interface SecurityService

All Superinterfaces:
  `SecurityAuthority`, `Serializable`, `Service`, `ServiceUserObject`

All Known Implementing Classes:
  `SimpleSecurityAuthority`

public interface SecurityService extends SecurityAuthority, Service
Defines the actual interface combining service administration and user control methods.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.net.security.SecurityAuthority

`createChallenge, createResponse, denyUserAccess, logoffUser, logonUser, permitUserAccess, validateResponse`

### Methods inherited from interface org.jcsp.net.Service

`getUserObject, init, isRunning, start, stop`